# Generated by Django 3.2.13 on 2022-12-22 11:49

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import lib.models
import short_stuff.django.models
import short_stuff.lib


class Migration(migrations.Migration):

    dependencies = [
        ("workflow", "0026_alter_checklisttaskdefinition_interface_type"),
    ]

    operations = [
        migrations.CreateModel(
            name="EventRecurrenceMapping",
            fields=[
                (
                    "created_on",
                    models.DateTimeField(
                        db_index=True, default=django.utils.timezone.now
                    ),
                ),
                (
                    "updated_on",
                    lib.models.AutoDateTimeField(
                        db_index=True, default=django.utils.timezone.now
                    ),
                ),
                (
                    "id",
                    short_stuff.django.models.ShortCodeField(
                        db_index=True,
                        default=short_stuff.lib.gen_shortcode,
                        primary_key=True,
                        serialize=False,
                    ),
                ),
                ("name", models.CharField(db_index=True, max_length=250, unique=True)),
                ("notes", models.TextField(blank=True, help_text="Notes", null=True)),
                (
                    "recurrence",
                    models.ForeignKey(
                        blank=True,
                        help_text="Recurrence to get checklist_definition and team for run",
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="events",
                        to="workflow.recurrence",
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
        ),
    ]
